<?PHP
/*
 * DIREITOS AUTORAIS RESERVADOS (C) 2007 UFRJ
 * 
 * ESTE PROGRAMA É SOFTWARE LIVRE; VOCÊ PODE REDISTRIBUÍ-LO E/OU MODIFICÁ-LO SOB OS
 * TERMOS DA LICENÇA PÚBLICA GERAL GNU CONFORME PUBLICADA PELA FREE SOFTWARE FOUNDATION;
 * TANTO A VERSÃO 2 DA LICENÇA, COMO (A SEU CRITÉRIO) QUALQUER VERSÃO POSTERIOR.

 * ESTE PROGRAMA É DISTRIBUÍDO NA EXPECTATIVA DE QUE SEJA ÚTIL, PORÉM, SEM NENHUMA GARANTIA;
 * NEM MESMO A GARANTIA IMPLÍCITA DE COMERCIABILIDADE OU ADEQUAÇÃO A UMA FINALIDADE ESPECÍFICA.
 * CONSULTE A LICENÇA PÚBLICA GERAL DO GNU PARA MAIS DETALHES.
 * 
 * VOCÊ DEVE TER RECEBIDO UMA CÓPIA DA LICENÇA PÚBLICA GERAL DO GNU JUNTO COM ESTE PROGRAMA; 
 * SE NÃO, ACESSE <<HTTP://WWW.GNU.ORG/LICENSES/LICENSES.PT-BR.HTML>>
 */

<?php
/*
 * Pontifical Catholic University of Rio de Janeiro
 *
 * Authors: LabBio Group
 * Created on 01/09/2009
 */

// Carga de Especiais
if ($especialAluno == '1')
{
 $numeroTiposNecessidadeEspecial = sizeof($tipoNecessidadeEspecial);
 $indiceGravacoes = 0;
 while ($indiceGravacoes != $numeroTiposNecessidadeEspecial)
 {
   $necessidadeEspecial = $tipoNecessidadeEspecial[$indiceGravacoes];
   $sql = "INSERT INTO especial
   (
     cartaoSus,
     inepAluno,
     tipoNecessidadeEspecial,
     comprovadoEspecial,
     digitalizadoEspecial

   ) VALUES (

     '$cartaoSus',
     '$inepAluno',
     '$necessidadeEspecial',
     '$comprovadoEspecial',
     '$digitalizadoEspecial'
   )";

   $result = executaQuery($dbh, $sql);
   if (!$result)
   {
   		die("Erro: " . pg_last_error());
   		exit;
     	$result = executaQuery($dbh, "ROLLBACK");
     	if (!$result)
     	{
        	$erroFatal = "Erro em Transa��o Interna do Sistema - Informar Administrador";
        	$SESSION["f_retornoFatal"] = $erroFatal;
     	}
     	$erro = "Erro na Gravacao de Portador de Necessidades Especiais";
     	$_SESSION["f_retorno"]= $erro;
     	pg_close($dbh);
     	header('location:recadastra.php?reacao=retorno&acao='.$acao.'&inepaluno='.$inepAluno);
     	exit;
   }
	$sql = cleanSql($sql);
	$textoScript .= $sql . ';';

   	$indiceGravacoes+=1;
 }

}

?>